Bug 237083 (CVE-2007-1858) - CVE-2007-1858 tomcat anonymous cipher issue
Summary: CVE-2007-1858 tomcat anonymous cipher issue
Status: CLOSED ERRATA
Alias: CVE-2007-1858
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: All
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20070419,repor...
Keywords: Security
Depends On: 237086 237090 238402 390331 390341 390351 390361 414311
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-19 12:06 UTC by Mark J. Cox
Modified: 2013-05-08 18:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-08 18:06:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:1069 normal SHIPPED_LIVE Moderate: tomcat security update for Red Hat Network Satellite Server 2007-11-26 13:56:32 UTC

Description Mark J. Cox 2007-04-19 12:06:26 UTC
According to http://tomcat.apache.org/security-5.html

Fixed in Apache Tomcat 5.5.17

Information disclosure CVE-2007-1858

The default SSL configuration permitted the use of insecure cipher suites
including the anonymous cipher suite. The default configuration no longer
permits the use of insecure cipher suites.

Affects: 5.0.0-5.0.HEAD, 5.5.0-5.5.17

Comment 2 Mark J. Cox 2007-04-23 10:46:06 UTC
advisory text: "The default Tomcat configuration permitted the use of insecure
SSL cipher suites including the anonymous cipher suite.  (CVE-2007-1858)"

Comment 6 Vincent Danen 2013-05-08 18:06:01 UTC
Please see https://access.redhat.com/security/cve/CVE-2007-1858 for a list of other products that contain this fix.


Note You need to log in before you can comment on or make changes to this bug.